Function
append
Concatenate two containers.
append(target, source [, limit] [,resize_tag])
Include Headers
seqan/sequence.h
Parameters

target | A container source is append to. Types: char array, Segment, std::basic_string, std::vector, String
source | A container that is append to target. Types: char array, Segment, std::basic_string, std::vector, String Remarks: The function does not modify this container.
limit | The maximal length of target after the operation. (optional)
resize_tag | Specifies the strategy that is applied if target has not enough capacity to store the complete content. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowImplicit of the target type.

Remarks
If target is a Segment object, then limit denotes the maximal length of host(target) after the operation.
The result of this operation is stored in target.
Part of Concept
Container
See Also
insert, assign, replace
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46